## cairooverlay

cairooverlay

## Signals

void | caps-changed |
void | draw |

## Types and Values

struct | GstCairoOverlay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstCairoOverlay

## Description

## Synopsis

### Element Information

plugin | cairo
author | Jon Nordby <jononor@gmail.com>
class | Filter/Editor/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ BGRx, BGRA, RGB16 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ BGRx, BGRA, RGB16 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstCairoOverlay

    struct GstCairoOverlay;

## Signal Details

### The `“caps-changed”` signal

    void
    user_function (GstCairoOverlay *gstcairooverlay,
                   GstCaps         *arg1,
                   gpointer         user_data)

### The `“draw”` signal

    void
    user_function (GstCairoOverlay *gstcairooverlay,
                   CairoContext    *arg1,
                   guint64          arg2,
                   guint64          arg3,
                   gpointer         user_data)